package com.fjhx.customer.service.xiaoman;

import com.fjhx.customer.entity.xiaoman.po.XiaomanCustomer;
import com.fjhx.customer.entity.xiaoman.vo.CustomerApiVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanCustomerVo;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerSelectDto;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerDto;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 小满客户表 服务类
 * </p>
 *
 * @author lqh
 * @since 2024-04-06
 */
public interface XiaomanCustomerService  {

    /**
     * 小满客户表列表
     */
    List<XiaomanCustomerVo> getList(XiaomanCustomerSelectDto dto);

    /**
     * 小满客户表分页
     */
    Page<XiaomanCustomerVo> getPage(XiaomanCustomerSelectDto dto);

    /**
     * 小满客户表明细
     */
    XiaomanCustomerVo detail(Long id);

    /**
     * 小满客户表新增
     */
    void add(XiaomanCustomerDto xiaomanCustomerDto);

    /**
     * 小满客户表编辑
     */
    void edit(XiaomanCustomerDto xiaomanCustomerDto);

    /**
     * 小满客户表删除
     */
    void delete(Long id);

    void handleSaveOrUpdate(List<CustomerApiVo> customerApiVoList, Set<Long> allCustomer,boolean flag);


    void processCustomer(XiaomanCustomer customer, boolean isUpdate, boolean flag);

    void initAllList();
    void updateList();
}
