package com.fjhx.sale.entity.after.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 售后管理
 * </p>
 *
 * @author
 * @since 2024-04-07
 */
@Getter
@Setter
@TableName("after_sales")
public class AfterSales extends BasePo {

    /**
     * 售后单号
     */
    private String code;

    /**
     * 售后类型 字典
     */
    private String type;

    /**
     * 说明
     */
    private String remark;

    /**
     * 原因
     */
    private String reason;

    /**
     * 售后金额
     */
    private BigDecimal amount;

    /**
     * 初判责任方
     */
    private String dutyParty;

    /**
     * 联系人名称
     */
    private String contactName;

    /**
     * 联系人电话
     */
    private String contactTel;

    /**
     * 开户行
     */
    private String accountBank;

    /**
     * 账户名
     */
    private String accountName;

    /**
     * 账号
     */
    private String accountNumber;

    /**
     * 售后状态 0进行中1关闭
     */
    private Integer status;

    private Long flowId;

    /**
     * 销售合同id
     */
    private Long contractId;

    /**
     * 币种
     */
    private String currency;

}
