package com.fjhx.sale.service.after.impl;

import com.alibaba.druid.sql.visitor.functions.Concat;
import com.fjhx.item.service.product.ProductInfoService;
import com.fjhx.sale.entity.after.po.AfterSalesDetail;
import com.fjhx.sale.mapper.after.AfterSalesDetailMapper;
import com.fjhx.sale.service.after.AfterSalesDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.sale.service.contract.ContractProductService;
import com.fjhx.wms.entity.arrival.vo.ArrivalStockRecordsDetailsVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fjhx.sale.entity.after.vo.AfterSalesDetailVo;
import com.fjhx.sale.entity.after.dto.AfterSalesDetailSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;

import java.util.List;

/**
 * <p>
 * 售后明细 服务实现类
 * </p>
 *
 * @author
 * @since 2024-04-07
 */
@Service
public class AfterSalesDetailServiceImpl extends ServiceImpl<AfterSalesDetailMapper, AfterSalesDetail> implements AfterSalesDetailService {
    @Autowired
    private ProductInfoService productInfoService;
    @Autowired
    private ContractProductService contractProductService;

    @Override
    public List<AfterSalesDetailVo> getList(AfterSalesDetailSelectDto dto) {
        IWrapper<AfterSalesDetail> wrapper = getWrapper();
        wrapper.orderByDesc("asd", AfterSalesDetail::getId);
        List<AfterSalesDetailVo> list = this.getList(wrapper);
        return list;
    }

    @Override
    public List<AfterSalesDetailVo> getList(IWrapper wrapper) {
        List<AfterSalesDetailVo> list = this.baseMapper.getList(wrapper);
        //赋值产品信息
        productInfoService.attributeAssign(list, AfterSalesDetailVo::getProductId, (item, productInfo) -> {
            item.setProductName(productInfo.getName());
            item.setProductType(productInfo.getType());
            item.setProductCode(productInfo.getCustomCode());
            item.setProductUnit(productInfo.getUnit());
            item.setProductSpec(productInfo.getSpec());
        });
        //赋值产品信息
        contractProductService.attributeAssign(list, AfterSalesDetailVo::getContractProductId, (item, contractProduct) -> {
            item.setProductModel(contractProduct.getProductModel());
            item.setContractQuantity(contractProduct.getQuantity());
        });
        return list;
    }

}
